Page MenuHomePhabricator

Read only time window needed for wikis on s3 and s7
Closed, ResolvedPublic

Description

We'd like to request a 30 minutes read-only time window for the following wikis to performance maintenance on their primary database masters:

s3: https://noc.wikimedia.org/conf/highlight.php?file=dblists/s3.dblist

s7:

arwiki
cawiki
eswiki
fawiki
frwiktionary
hewiki
huwiki
kowiki
metawiki
rowiki
ukwiki
viwiki

s7 also includes centralauth database, which means some operations might fail during the read-only period, such as: GlobalRenames, Changing/Confirming emails, logging into new wikis, password changes...

Impact: Those wikis will go read-only for around 15 minutes (hopefully a lot less). Reads will not be impacted
When: Thu 7th May at 05:00 AM UTC

Event Timeline

Restricted Application added subscribers: Strainu, Base, revi. · View Herald TranscriptApr 27 2020, 3:16 PM
Trizek-WMF triaged this task as High priority.May 4 2020, 4:11 PM

@Marostegui, is there any of the wikis listed on the s3 list that moved to another cluster since the last read-only?

I plan to reuse the previous campaign, where all wikis have already been set. It would save me a lot of time. I randomly checked on the list, and there is apparently no differences, but I prefer to ask for a confirmation.

Thanks!

RhinosF1 added a comment.EditedMay 5 2020, 3:08 PM

@Marostegui, is there any of the wikis listed on the s3 list that moved to another cluster since the last read-only?

https://gerrit.wikimedia.org/r/plugins/gitiles/operations/mediawiki-config/+log/master/dblists/s3.dblist

I plan to reuse the previous campaign, where all wikis have already been set. It would save me a lot of time. I randomly checked on the list, and there is apparently no differences, but I prefer to ask for a confirmation.

There looks to be a few changes but none that recent. (2 months ago)

Thanks!

There looks to be a few changes but none that recent. (2 months ago)

Thank you.
If I understand correctly the log file you linked me, here are the changes since 14 months:

  • gr.wikimedia.org [added]
  • fixcopyrightwiki [removed]
  • ng.wikimedia.org [added]
  • shy.wiktionary [added]
  • gcr.wiki [added]
  • szy.wiki [added]
  • minwiktionary [added]
  • ge.wikimedia.org [added]
  • mnwwiki [added]
  • banwiki [added]
  • nqowiki [added]
  • hiwikisource [added]

@Trizek-WMF: looks correct to me

There looks to be a few changes but none that recent. (2 months ago)

Thank you.
If I understand correctly the log file you linked me, here are the changes since 14 months:

  • gr.wikimedia.org [added]
  • fixcopyrightwiki [removed]
  • ng.wikimedia.org [added]
  • shy.wiktionary [added]
  • gcr.wiki [added]
  • szy.wiki [added]
  • minwiktionary [added]
  • ge.wikimedia.org [added]
  • mnwwiki [added]
  • banwiki [added]
  • nqowiki [added]
  • hiwikisource [added]

Those are included on the initial file I sent you in the task description.
That URL is always up-to-date as it is the one that gets updated with the dblists.

All wikis have their banner set.

Those are included on the initial file I sent you in the task description.
That URL is always up-to-date as it is the one that gets updated with the dblists.

I needed a diff to reuse last year campaigns without missing any new wiki added (or targeting a removed one).

Stewards have been warned about this operation.

Realized once the window started: the notice still says "Technical maintenance will be performed soon", despite the read only having started. While the times are given, not everyone has a UTC clock. Can the message be changed to "is in progress" when the window starts for future read only periods?

Realized once the window started: the notice still says "Technical maintenance will be performed soon", despite the read only having started. While the times are given, not everyone has a UTC clock. Can the message be changed to "is in progress" when the window starts for future read only periods?

...and then once the read-only has finished the banner can be removed before the window ends

This is done.
RO started: 05:00:47
RO finished: 05:04:19

I will leave up to @Trizek-WMF to close this task after @DannyS712' comments.

Thanks everyone!

Ovedc added a subscriber: Ovedc.May 7 2020, 5:29 AM

Hello! In the future tasks, can you please allow the register users dismiss the notice, once they read it? This way, we wouldn't get the same massage. over and over, half hour before and half hour after the 4 minuets shut-down... Many thanks!

Realized once the window started: the notice still says "Technical maintenance will be performed soon", despite the read only having started. While the times are given, not everyone has a UTC clock. Can the message be changed to "is in progress" when the window starts for future read only periods?

...and then once the read-only has finished the banner can be removed before the window ends

The banner is displayed 30 minutes before the read-only time. If I understand correctly, you suggest to double the work by having two banners, one that warns people during the 30 minutes period, and one other that says that the maintenance is in progress?

We are covering thousands of languages, with no way to define local languages. Translators have been asked to adapt the translations to most common places where it is spoken. For instance, the French banner has Paris hour (which covers both European and most African Francophone countries) and Québec hour (which covers Francophone Canada). Which times should be displayed on the English banner, since it is really universal?

Hello! In the future tasks, can you please allow the register users dismiss the notice, once they read it? This way, we wouldn't get the same massage. over and over, half hour before and half hour after the 4 minuets shut-down... Many thanks!

Noted. I will change it for the next ones. :)

Realized once the window started: the notice still says "Technical maintenance will be performed soon", despite the read only having started. While the times are given, not everyone has a UTC clock. Can the message be changed to "is in progress" when the window starts for future read only periods?

...and then once the read-only has finished the banner can be removed before the window ends

The banner is displayed 30 minutes before the read-only time. If I understand correctly, you suggest to double the work by having two banners, one that warns people during the 30 minutes period, and one other that says that the maintenance is in progress?

We are covering thousands of languages, with no way to define local languages. Translators have been asked to adapt the translations to most common places where it is spoken. For instance, the French banner has Paris hour (which covers both European and most African Francophone countries) and Québec hour (which covers Francophone Canada). Which times should be displayed on the English banner, since it is really universal?

Hello! In the future tasks, can you please allow the register users dismiss the notice, once they read it? This way, we wouldn't get the same massage. over and over, half hour before and half hour after the 4 minuets shut-down... Many thanks!

Noted. I will change it for the next ones. :)

Ovedc added a comment.May 7 2020, 1:15 PM

Thank you! All I asked is the chance to read the massage only one time, and then after I read it, have the chance to stop receiving it again. Until now, if I saw it the first time half a hour before the start, I have to see it in every article I visited, even after the task ended! Thanks!

Thank you! All I asked is the chance to read the massage only one time, and then after I read it, have the chance to stop receiving it again. Until now, if I saw it the first time half a hour before the start, I have to see it in every article I visited, even after the task ended! Thanks!

We have no technical possibility to remove the banner automatically when the maintenance task is done. However, if I remember correctly, there is another banner that is displayed during the maintenance. Can you confirm it? Or @Marostegui? If so, we could change the display time to remove the warning banner when the maintenance one is displayed.

Trizek-WMF lowered the priority of this task from High to Medium.May 7 2020, 1:39 PM

@Trizek-WMF Sorry, I don't recall a different banner during the maintenance itself. We (DBAs) only see the banner before, as during we are extremely busy with it :(

Agusbou2015 closed this task as Resolved.May 7 2020, 2:48 PM
Restricted Application added a subscriber: Huji. · View Herald TranscriptSep 21 2020, 11:54 AM